import request from '@/utils/request'

//获取机构列表
export function getMechanismList(data) {
	return request({
		url:'/api/institution/institution',
		method:'get',
		data
	})
}

// 获取aed列表
export function getAed(data) {
	return request({
		url: '/api/institution/aed',
		method: 'get',
		data
	})
}

// 获取救护站列表
export function getAidList(data) {
	return request({
		url:'/api/institution/station',
		method:'get',
		data
	})
}

//申请成为救援者
export function applyRescuer(data) {
	return request({
		url:'/api/rescue/create',
		method:'post',
		data
	})
}

// 获取志愿者列表
export function getRescuerList(data) {
	return request({
		url:'/api/rescue/index',
		method:'get',
		data
	})
}

// 申请记录applyList
export function getApplyList(data) {
	return request({
		url:'/api/rescue/applylst',
		method:'get',
		data
	})
}

// 求救
export function sos(data) {
	return request({
		url:'/api/rescue/sos',
		method:'post',
		data
	})
}

//逆解析地址
export function geocoder(data) {
	return request({
		url:'/api/geocoder',
		method:'get',
		data
	})
}

// 获取求救记录/救援记录 type:  0-> 求救   1->救援
export function getRescueList(data) {
	return request({
		url:'/api/rescue/lst',
		method:'get',
		data
	})
}

// 处理救援申请
export function changeRescue(data) {
	return request({
		url:'/api/rescue/setstatus',
		method:'post',
		data
	})
}

export function MiniLink(data) {
	return request({
		url:'/api/MiniLink',
		method:'post',
		data
	})
}
